ClientWrapper (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.cxf.ClientWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.cxf
Class ClientWrapper

    java.lang.Object
      org.mule.transport.cxf.ClientWrapper

    public class ClientWrapper

extends Object

Field Summary
`protected org.apache.cxf.Bus` | `bus`
`protected org.apache.cxf.endpoint.Client` | `client`
`protected javax.xml.ws.BindingProvider` | `clientProxy`
`protected Method` | `defaultMethod`
`protected String` | `defaultMethodName`
`protected ImmutableEndpoint` | `endpoint`
`protected boolean` | `proxy`

Constructor Summary
`ClientWrapper()`

Method Summary
`protected void` | `addMuleInterceptors()`
`protected void` | `createClientFromClass(org.apache.cxf.Bus bus, String clientClassName)`
`protected void` | `createClientFromLocalServer(org.apache.cxf.Bus bus)`
`protected void` | `createClientProxy(org.apache.cxf.Bus bus)`
`protected Method` | `findMethod(Class<?> clientCls)`
`org.apache.cxf.endpoint.Client` | `getClient()`
`javax.xml.ws.BindingProvider` | `getClientProxy()`
`Method` | `getMethod(MuleEvent event)`
`protected String` | `getMethodOrOperationName(MuleEvent event)`
`org.apache.cxf.service.model.BindingOperationInfo` | `getOperation(MuleEvent event)`
`protected org.apache.cxf.service.model.BindingOperationInfo` | `getOperation(String opName)`
`void` | `initialize()`
`boolean` | `isApplyTransformersToProtocol()`
`boolean` | `isClientProxyAvailable()`
`boolean` | `isProxy()`
`void` | `setBus(org.apache.cxf.Bus bus)`
`void` | `setEndpoint(ImmutableEndpoint endpoint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### endpoint

    protected ImmutableEndpoint endpoint

### bus

    protected org.apache.cxf.Bus bus

### client

    protected org.apache.cxf.endpoint.Client client

### defaultMethodName

    protected String defaultMethodName

### clientProxy

    protected javax.xml.ws.BindingProvider clientProxy

### defaultMethod

    protected Method defaultMethod

### proxy

    protected boolean proxy

Constructor Detail

### ClientWrapper

    public ClientWrapper()

Method Detail

### getClient

    public org.apache.cxf.endpoint.Client getClient()

### getClientProxy

    public javax.xml.ws.BindingProvider getClientProxy()

### initialize

    public void initialize()
                    throws Exception

  Throws:
    `Exception`

### findMethod

    protected Method findMethod(Class<?> clientCls)
                         throws Exception

  Throws:
    `Exception`

### getOperation

    protected org.apache.cxf.service.model.BindingOperationInfo getOperation(String opName)
                                                                      throws Exception

  Throws:
    `Exception`

### createClientProxy

    protected void createClientProxy(org.apache.cxf.Bus bus)
                              throws Exception

  Throws:
    `Exception`

### createClientFromClass

    protected void createClientFromClass(org.apache.cxf.Bus bus,
                                         String clientClassName)
                                  throws Exception

  Throws:
    `Exception`

### createClientFromLocalServer

    protected void createClientFromLocalServer(org.apache.cxf.Bus bus)
                                        throws Exception

  Throws:
    `Exception`

### addMuleInterceptors

    protected void addMuleInterceptors()

### getMethodOrOperationName

    protected String getMethodOrOperationName(MuleEvent event)
                                       throws DispatchException

  Throws:
    `DispatchException`

### setEndpoint

    public void setEndpoint(ImmutableEndpoint endpoint)

### setBus

    public void setBus(org.apache.cxf.Bus bus)

### isClientProxyAvailable

    public boolean isClientProxyAvailable()

### getOperation

    public org.apache.cxf.service.model.BindingOperationInfo getOperation(MuleEvent event)
                                                                   throws Exception

  Throws:
    `Exception`

### getMethod

    public Method getMethod(MuleEvent event)
                     throws Exception

  Throws:
    `Exception`

### isProxy

    public boolean isProxy()

### isApplyTransformersToProtocol

    public boolean isApplyTransformersToProtocol()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.